%define upstream_name    MooseX-Daemonize
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Role with the core daemonization and pidfile management
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::AssertOS)
BuildRequires: perl(Devel::CheckOS) >= 1.630.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Getopt)
BuildRequires: perl(MooseX::Getopt::OptionTypeMap)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(POSIX)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Often you want to write a persistent daemon that has a pid file, and
responds appropriately to Signals. This module provides a set of basic
roles as an infrastructure to do that.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes IDEAS INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.220.0-3.mga9
+ Revision: 1812133
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.220.0-2.mga8
+ Revision: 1539505
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 tv <tv> 0.220.0-1.mga8
+ Revision: 1465250
- update to 0.22

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-3.mga7
+ Revision: 1269595
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-2.mga6
+ Revision: 1030339
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.210.0-1.mga6
+ Revision: 1002179
- update to 0.21

* Fri Feb 19 2016 umeabot <umeabot> 0.200.0-2.mga6
+ Revision: 969367
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 868560
- update to 0.20

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 740322
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.190.0-3.mga5
+ Revision: 735784
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-2.mga5
+ Revision: 685530
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 588541
- update to 0.19

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 527129
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.180.0-1.mga4
+ Revision: 439593
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 370157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 255732
- adding missing buildrequires:
- update to 0.15

* Sat Aug 20 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 134619
- adding missing buildrequires:
- imported package perl-MooseX-Daemonize


* Sat Aug 20 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
